## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           bubblemail
Version:        1.8
Release:        %autorelease
Summary:        Extensible mail notification service

License:        GPLv2
URL:            http://bubblemail.free.fr/
Source0:        https://framagit.org/razer/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  folks-devel
BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pillow
BuildRequires:  python3-pyxdg
BuildRequires:  vala
Requires:       folks
Requires:       gnome-keyring
Requires:       hicolor-icon-theme
Requires:       libsecret
Requires:       python3
Requires:       python3-gobject
Requires:       python3-dbus
Requires:       python3-requests
Requires:       python3-gstreamer1
Requires:       python3-pyxdg
Requires:       python3-pysocks
Recommends:     gnome-online-accounts
Recommends:     gnome-shell-extension-bubblemail

%description
Bubblemail is a D-Bus service providing a list of the new and unread user's mail
from local mailboxes, pop, imap, and gnome online accounts. It include a
libnotify frontend to create notifications and can be used by other frontends as
well.

%prep
%autosetup -p1 -n %{name}-v%{version}
sed -i '1{\@^#!/usr/bin/env python@d}' \
        bubblemail/plugins/spamfilterplugin.py \
        bubblemail/plugins/userscriptplugin.py

%build
%py3_build

%install
%py3_install
%find_lang %{name}

%check
appstream-util validate-relax --nonet \
        %{buildroot}%{_metainfodir}/*.appdata.xml
desktop-file-validate \
        %{buildroot}/%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%license LICENSE.txt
%doc AUTHORS CHANGELOG.md CONTRIBUTING.md README.md
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}d.1*
%{_sysconfdir}/xdg/autostart/%{name}d.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-avatar-provider
%{_bindir}/%{name}d
%{python3_sitelib}/%{name}-%{version}-py*.egg-info
%{python3_sitelib}/%{name}/
%{_datadir}/applications/bubblemail.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_metainfodir}/%{name}.appdata.xml

%changelog
* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jun 18 2022 Python Maint <python-maint@redhat.com> 1.8-2
- Rebuilt for Python 3.11

* Sat Jun 18 2022 Alexander Ploumistos <alexpl@fedoraproject.org> - 1.8-1
- Update to 1.8
- Add python3-pysocks dependency for connecting through a proxy

* Wed May 11 2022 Alexander Ploumistos <alexpl@fedoraproject.org> - 1.7.1-1
- Update to 1.7.1 - fixes IMAP regression

* Sun May 01 2022 Alexander Ploumistos <alexpl@fedoraproject.org> - 1.7-1
- Update to 1.7

* Sat Feb 26 2022 Alexander Ploumistos <alexpl@fedoraproject.org> - 1.6-1
- Update to 1.6

* Sun Nov 21 2021 Alexander Ploumistos <alexpl@fedoraproject.org> - 1.5.1-1
- Spam filter plugin enhancements and a bugfix
- Add weak dependency on Bubblemail GNOME shell extension

* Wed Nov 10 2021 Alexander Ploumistos <alexpl@fedoraproject.org> - 1.5-1
- Update to 1.5

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.4-2
- Rebuilt for Python 3.10

* Sun Apr 11 2021 Alexander Ploumistos <alexpl@fedoraproject.org> - 1.4-1
- Update to 1.4

* Tue Feb 16 2021 Kalev Lember <klember@redhat.com> - 1.3-3
- Rebuilt for folks soname bump

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Oct 17 2020 Alexander Ploumistos <alexpl@fedoraproject.org> - 1.3-1
- Update to 1.3

* Thu Aug 27 2020 Alexander Ploumistos <alexpl@fedoraproject.org> - 1.2-1
- Update to 1.2
- New icon
- Bugfixes
- Fix typo in changelog

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 17 2020 Alexander Ploumistos <alexpl@fedoraproject.org> - 1.1-1
- Update to 1.1

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.0-2
- Rebuilt for Python 3.9

* Sat May 23 2020 Alexander Ploumistos <alexpl@fedoraproject.org> - 1.0-1
- Update to 1.0

* Tue Apr 14 2020 Alexander Ploumistos <alexpl@fedoraproject.org> - 0.7-1
- Update to 0.7

* Sat Feb 22 01:31:11 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.5-1
- Update to 0.5

* Thu Jan 30 19:59:15 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.4-3
- Fix #1796406

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 25 02:38:48 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.4-1
- Initial packaging

